# Uses of Class
com.databricks.jdbc.dbclient.impl.common.StatementId

Packages that use StatementId
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.api.internal
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift
com.databricks.jdbc.telemetry
com.databricks.jdbc.telemetry.latency

## Uses of StatementId in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return StatementId
Modifier and Type
Method
Description
`StatementId`
DatabricksStatement.`getStatementId()`
Methods in com.databricks.jdbc.api.impl with parameters of type StatementId
Modifier and Type
Method
Description
`void`
DatabricksStatement.`setStatementId(StatementId statementId)`
Constructors in com.databricks.jdbc.api.impl with parameters of type StatementId
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, StatementType statementType, IDatabricksStatementInternal parentStatement, IExecutionResult executionResult, DatabricksResultSetMetaData resultSetMetaData, boolean complexDatatypeSupport)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, TFetchResultsResp resultsResp, StatementType statementType, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<ColumnMetadata> columnMetadataList, List<List<Object>> rows, StatementType statementType)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, int[] columnTypes, int[] columnTypePrecisions, int[] isNullables, Object[][] rows, StatementType statementType)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, List<Integer> columnTypes, List<Integer> columnTypePrecisions, List<Nullable> columnNullables, List<List<Object>> rows, StatementType statementType)`
``
`DatabricksResultSetMetaData(StatementId statementId, TGetResultSetMetadataResp resultManifest, long rows, long chunkCount, List<String> arrowMetadata, IDatabricksConnectionContext ctx)`
Constructs a `DatabricksResultSetMetaData` object for a Thrift-based result set.
``
`DatabricksResultSetMetaData(StatementId statementId, ResultManifest resultManifest, boolean usesExternalLinks, IDatabricksConnectionContext ctx)`
Constructs a `DatabricksResultSetMetaData` object for a SEA result set.
``
`DatabricksResultSetMetaData(StatementId statementId, List<ColumnMetadata> columnMetadataList, long totalRows)`
Constructs a `DatabricksResultSetMetaData` object for metadata result set (SEA Flow)
``
`DatabricksResultSetMetaData(StatementId statementId, List<String> columnNames, List<String> columnTypeText, int[] columnTypes, int[] columnTypePrecisions, int[] isNullables, long totalRows)`
Constructs a `DatabricksResultSetMetaData` object for predefined metadata result set.
``
`DatabricksResultSetMetaData(StatementId statementId, List<String> columnNames, List<String> columnDataTypes, IDatabricksConnectionContext ctx)`
Constructs a `DatabricksResultSetMetaData` object for metadata result set obtained from DESCRIBE QUERY Works for both SEA and Thrift flows as result set obtained from DESCRIBE QUERY is already parsed.
``
`DatabricksResultSetMetaData(StatementId statementId, List<String> columnNames, List<String> columnTypeText, List<Integer> columnTypes, List<Integer> columnTypePrecisions, List<Nullable> columnNullables, long totalRows)`
Constructs a `DatabricksResultSetMetaData` object for metadata result set (Thrift Flow)
``
`DatabricksStatement(DatabricksConnection connection, StatementId statementId)`

## Uses of StatementId in com.databricks.jdbc.api.impl.arrow

Fields in com.databricks.jdbc.api.impl.arrow declared as StatementId
Modifier and Type
Field
Description
`protected final StatementId`
AbstractArrowResultChunk.`statementId`
`protected final StatementId`
AbstractRemoteChunkProvider.`statementId`
Methods in com.databricks.jdbc.api.impl.arrow with parameters of type StatementId
Modifier and Type
Method
Description
`protected abstract T`
AbstractRemoteChunkProvider.`createChunk(StatementId statementId, long chunkIndex, TSparkArrowResultLink resultLink)`
Creates chunk `AbstractRemoteChunkProvider` based on the `TSparkArrowResultLink`.
`protected abstract T`
AbstractRemoteChunkProvider.`createChunk(StatementId statementId, long chunkIndex, com.databricks.sdk.service.sql.BaseChunkInfo chunkInfo)`
Creates chunk `AbstractRemoteChunkProvider` based on the `BaseChunkInfo`.
`protected ArrowResultChunk`
RemoteChunkProvider.`createChunk(StatementId statementId, long chunkIndex, TSparkArrowResultLink resultLink)`
Creates chunk `AbstractRemoteChunkProvider` based on the `TSparkArrowResultLink`.
`protected ArrowResultChunk`
RemoteChunkProvider.`createChunk(StatementId statementId, long chunkIndex, com.databricks.sdk.service.sql.BaseChunkInfo chunkInfo)`
Creates chunk `AbstractRemoteChunkProvider` based on the `BaseChunkInfo`.
`ArrowResultChunk.Builder`
ArrowResultChunk.Builder.`withStatementId(StatementId statementId)`
Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type StatementId
Modifier
Constructor
Description
`protected`
`AbstractArrowResultChunk(long numRows, long rowOffset, long chunkIndex, StatementId statementId, ChunkStatus initialStatus, ExternalLink chunkLink, Instant expiryTime, int chunkReadyTimeoutSeconds)`
`protected`
`AbstractRemoteChunkProvider(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
``
`ArrowResultChunkStateMachine(ChunkStatus initialStatus, long chunkIndex, StatementId statementId)`
``
`ArrowStreamResult(ResultManifest resultManifest, ResultData resultData, StatementId statementId, IDatabricksSession session)`
``
`ChunkLinkDownloadService(IDatabricksSession session, StatementId statementId, long totalChunks, ConcurrentMap<Long,T> chunkIndexToChunksMap, long nextBatchStartIndex)`

## Uses of StatementId in com.databricks.jdbc.api.impl.arrow.incubator

Methods in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type StatementId
Modifier and Type
Method
Description
`protected ArrowResultChunkV2`
RemoteChunkProviderV2.`createChunk(StatementId statementId, long chunkIndex, TSparkArrowResultLink resultLink)`
`protected ArrowResultChunkV2`
RemoteChunkProviderV2.`createChunk(StatementId statementId, long chunkIndex, com.databricks.sdk.service.sql.BaseChunkInfo chunkInfo)`
`ArrowResultChunkV2.Builder`
ArrowResultChunkV2.Builder.`withStatementId(StatementId statementId)`
Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type StatementId
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery)`

## Uses of StatementId in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return StatementId
Modifier and Type
Method
Description
`StatementId`
IDatabricksStatementInternal.`getStatementId()`
Methods in com.databricks.jdbc.api.internal with parameters of type StatementId
Modifier and Type
Method
Description
`void`
IDatabricksStatementInternal.`setStatementId(StatementId statementId)`

## Uses of StatementId in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type StatementId
Modifier and Type
Method
Description
`static TOperationHandle`
DatabricksThriftUtil.`getOperationHandle(StatementId statementId)`
`static void`
DatabricksThreadContextHolder.`setStatementId(StatementId statementId)`

## Uses of StatementId in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient with parameters of type StatementId
Modifier and Type
Method
Description
`void`
IDatabricksClient.`cancelStatement(StatementId statementId)`
Cancels a statement in Databricks server
`void`
IDatabricksClient.`closeStatement(StatementId statementId)`
Closes a statement in Databricks server
`Collection<ExternalLink>`
IDatabricksClient.`getResultChunks(StatementId statementId, long chunkIndex)`
Fetches the chunk details for given chunk index and statement-Id.
`DatabricksResultSet`
IDatabricksClient.`getStatementResult(StatementId statementId, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Fetches result for underlying statement-Id

## Uses of StatementId in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that return StatementId
Modifier and Type
Method
Description
`static StatementId`
StatementId.`deserialize(String serializedStatementId)`
Deserializes a StatementId from a serialized string
Methods in com.databricks.jdbc.dbclient.impl.common with parameters of type StatementId
Modifier and Type
Method
Description
`static TimeoutHandler`
TimeoutHandler.`forStatement(int timeoutSeconds, StatementId statementId, IDatabricksClient client)`
Factory method to create a timeout handler for a databricks client with a statement ID.

## Uses of StatementId in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec with parameters of type StatementId
Modifier and Type
Method
Description
`void`
DatabricksSdkClient.`cancelStatement(StatementId typedStatementId)`
`void`
DatabricksSdkClient.`closeStatement(StatementId typedStatementId)`
`Collection<ExternalLink>`
DatabricksSdkClient.`getResultChunks(StatementId typedStatementId, long chunkIndex)`
`DatabricksResultSet`
DatabricksSdkClient.`getStatementResult(StatementId typedStatementId, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of StatementId in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift with parameters of type StatementId
Modifier and Type
Method
Description
`void`
DatabricksThriftServiceClient.`cancelStatement(StatementId statementId)`
`void`
DatabricksThriftServiceClient.`closeStatement(StatementId statementId)`
`Collection<ExternalLink>`
DatabricksThriftServiceClient.`getResultChunks(StatementId statementId, long chunkIndex)`
`DatabricksResultSet`
DatabricksThriftServiceClient.`getStatementResult(StatementId statementId, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of StatementId in com.databricks.jdbc.telemetry

Methods in com.databricks.jdbc.telemetry with parameters of type StatementId
Modifier and Type
Method
Description
`static String`
TelemetryHelper.`getStatementIdString(StatementId statementId)`

## Uses of StatementId in com.databricks.jdbc.telemetry.latency

Methods in com.databricks.jdbc.telemetry.latency with parameters of type StatementId
Modifier and Type
Method
Description
`void`
TelemetryCollector.`recordTotalChunks(StatementId statementId, long totalChunks)`
`void`
TelemetryCollector.`setResultFormat(StatementId statementId, com.databricks.sdk.service.sql.Format executionResultFormat)`